
%define		module pyorbited

Summary:	A Python client for the orbited (Orbit Event Daemon)
Summary(pl.UTF-8):	Pythonowy klient demona zdarzeń orbited (Orbit Event Daemon)
Name:		python-%{module}
Version:	0.1.1
Release:	4
License:	MIT
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/p/pyorbited/%{module}-%{version}.zip
# Source0-md5:	50779977e358601a7a19719fc9ace3a5
Patch0:		%{name}-orbited03.patch
URL:		http://brbx.com/orbited/index.html
BuildRequires:	libevent-devel
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	unzip
%pyrequires_eq	python-libs
Suggests:	orbited
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Python client for the orbited (Orbit Event Daemon), a COMET server.
Includes three implementations: pyevent, twisted, basic sockets.

%description -l pl.UTF-8
Pythonowy klient demona zdarzeń orbited (Orbit Event Daemon), serwera
COMET. Zawiera trzy implementacje: pyevent, twisted i opartą na
zwykłych gniazdach.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%{__python} setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/pyorbited
%{py_sitescriptdir}/pyorbited-*.egg-info
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyorbited.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d285c68
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> afa20d6
- automatic change: use py_build/py_install macros

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3d1e347
- release 3

* Sun May 16 2010 sparky <sparky@pld-linux.org> 113b57a
- BR: unzip

* Tue Oct 07 2008 Patryk Zawadzki <patrys@room-303.com> b12a85d
- rel 2

* Wed May 07 2008 Jakub Bogusz <qboosh@pld-linux.org> daa78c6
- pl

* Wed Jan 30 2008 Patryk Zawadzki <patrys@room-303.com> 764ee4d
- add protocol patch for current orbited
- don't require orbited (could be used remotely)

* Wed Jan 30 2008 Patryk Zawadzki <patrys@room-303.com> 3fa685a
- use proper protocol

* Mon Jan 28 2008 Patryk Zawadzki <patrys@room-303.com> 38b6a5d
- initial PLD release

